
extern string _1 = "Trading settings";
extern double Lots =0.05;
extern double ProfitPercent = 0.001;
extern string _3 = "Slippage value";
extern int    Slippage=3;

double bid,ask,ask3,bid3,ask4,bid4,ask5,bid5,ask6,bid6;
double MyPoint;

//+------------------------------------------------------------------+
//    expert start function
//+------------------------------------------------------------------+
int start()
{
  MyPoint=Point;
  if(Digits==3 || Digits==5) MyPoint=Point*10;
//--------------------------------------------------- 
  bid=MarketInfo("EURUSD",MODE_BID);
  ask=MarketInfo("EURUSD",MODE_ASK);
  bid3=MarketInfo("EURCHF",MODE_BID);
  ask3=MarketInfo("EURCHF",MODE_ASK);
  bid4=MarketInfo("USDJPY",MODE_BID);
  ask4=MarketInfo("USDJPY",MODE_ASK);
  bid5=MarketInfo("GBPJPY",MODE_BID);
  ask5=MarketInfo("GBPJPY",MODE_ASK);
  bid6=MarketInfo("AUDUSD",MODE_BID);
  ask6=MarketInfo("AUDUSD",MODE_ASK);
//--------------------------------------------
  if( TotalOrdersCount()==0) 
  {
     int result=0;
     if(Close[1] > Open[1] && (Close[1] - Open[1]) >= 25 * MyPoint)
     {
        //---1 
        result=OrderSend("EURUSD",OP_SELL,Lots,bid,Slippage,0,0,"",101,0,Red);
        result=OrderSend("USDJPY",OP_BUY,Lots,ask4,Slippage,0,0,"",101,0,Blue);
        //---2
        result=OrderSend("GBPJPY",OP_SELL,Lots,bid5,Slippage,0,0,"",100,0,Red);
        result=OrderSend("AUDUSD",OP_BUY,Lots,ask6,Slippage,0,0,"",100,0,Blue);
        //---3
        result=OrderSend("EURUSD",OP_SELL,Lots,bid,Slippage,0,0,"",102,0,Red);
        result=OrderSend("EURCHF",OP_BUY,Lots,ask3,Slippage,0,0,"",102,0,Blue);    
        }
     if(Close[1] < Open[1] && (Open[1] - Close[1]) >= 25 * MyPoint)
     {     
        //---1 
        result=OrderSend("EURUSD",OP_BUY,Lots,ask,Slippage,0,0,"",101,0,Blue);
        result=OrderSend("USDJPY",OP_SELL,Lots,bid4,Slippage,0,0,"",101,0,Red);
        //---2
        result=OrderSend("GBPJPY",OP_BUY,Lots,ask5,Slippage,0,0,"",100,0,Blue);
        result=OrderSend("AUDUSD",OP_SELL,Lots,bid6,Slippage,0,0,"",100,0,Red);
        //---3
        result=OrderSend("EURUSD",OP_BUY,Lots,ask,Slippage,0,0,"",102,0,Blue);
        result=OrderSend("EURCHF",OP_SELL,Lots,bid3,Slippage,0,0,"",102,0,Red);
     }
  }
   return(0);
}
//--------------------------------------------------------
int TotalOrdersCount()
{
  int result=0;
  for(int i=0;i<OrdersTotal();i++)
  {
     OrderSelect(i,SELECT_BY_POS ,MODE_TRADES);
     if (OrderMagicNumber()==100) result++;
     if (OrderMagicNumber()==101) result++;
     if (OrderMagicNumber()==102) result++;
     
     if ((OrderSymbol() == "EURUSD" && OrderMagicNumber()== 101 && OrderProfit()) - (OrderSymbol() == "USDJPY" && OrderMagicNumber()== 101 && OrderProfit()) 
     >= AccountBalance() * ProfitPercent) CloseEUUJ();
     
     if ((OrderSymbol() == "GBPJPY" && OrderMagicNumber()== 100 && OrderProfit()) - (OrderSymbol() == "AUDUSD" && OrderMagicNumber()== 100 && OrderProfit()) 
     >= AccountBalance() * ProfitPercent) CloseGJAU();
     
     if ((OrderSymbol() == "EURUSD" && OrderMagicNumber()== 102 && OrderProfit()) - (OrderSymbol() == "EURCHF" && OrderMagicNumber()== 102 && OrderProfit()) 
     >= AccountBalance() * ProfitPercent) CloseEUEC();
   }
  return (result);
}
//-------------------------------------------------------------------------------------------+  
void CloseGJAU()
{
  for(int is=OrdersTotal()-1;is>=0;is--)
 {
    if (OrderSelect(is, SELECT_BY_POS)==True)
    {
    bool resultb = false; bool results =false;
    if ( OrderType() == OP_BUY && OrderSymbol()=="GBPJPY" && OrderMagicNumber () == 100)   resultb = OrderClose( OrderTicket(), OrderLots(), MarketInfo("GBPJPY", MODE_BID), 5,Magenta );          
    if ( OrderType() == OP_SELL && OrderSymbol()=="GBPJPY" && OrderMagicNumber () == 100)  results = OrderClose( OrderTicket(), OrderLots(), MarketInfo("GBPJPY", MODE_ASK), 5,Magenta );
    if ( OrderType() == OP_BUY && OrderSymbol()=="AUDUSD" && OrderMagicNumber () == 100)   resultb = OrderClose( OrderTicket(), OrderLots(), MarketInfo("AUDUSD", MODE_BID), 5,Magenta );          
    if ( OrderType() == OP_SELL && OrderSymbol()=="AUDUSD" && OrderMagicNumber () == 100)  results = OrderClose( OrderTicket(), OrderLots(), MarketInfo("AUDUSD", MODE_ASK), 5,Magenta );
    Print ("Position(s) closed");
    }         
 }
  return; 
}
//----------------------------------------------------------------------------------------------------+
void CloseEUUJ()
{
  for(int is=OrdersTotal()-1;is>=0;is--)
 {
    if (OrderSelect(is, SELECT_BY_POS)==True)
    {
    bool resultb = false; bool results =false;
    if ( OrderType() == OP_BUY && OrderSymbol()=="EURUSD" && OrderMagicNumber () == 101)   resultb = OrderClose( OrderTicket(), OrderLots(), MarketInfo("EURUSD", MODE_BID), 5,Magenta );          
    if ( OrderType() == OP_SELL && OrderSymbol()=="EURUSD" && OrderMagicNumber () == 101)  results = OrderClose( OrderTicket(), OrderLots(), MarketInfo("EURUSD", MODE_ASK), 5,Magenta );
    if ( OrderType() == OP_BUY && OrderSymbol()=="USDJPY" && OrderMagicNumber () == 101)   resultb = OrderClose( OrderTicket(), OrderLots(), MarketInfo("USDJPY", MODE_BID), 5,Magenta );          
    if ( OrderType() == OP_SELL && OrderSymbol()=="USDJPY" && OrderMagicNumber () == 101)  results = OrderClose( OrderTicket(), OrderLots(), MarketInfo("USDJPY", MODE_ASK), 5,Magenta );
    Print ("Position(s) closed");
    }         
 }
  return; 
}
//----------------------------------------------------------------------------------------------------+ 
void CloseEUEC()
{
  for(int is=OrdersTotal()-1;is>=0;is--)
 {
    if (OrderSelect(is, SELECT_BY_POS)==True)
    {
    bool resultb = false; bool results =false;
    if ( OrderType() == OP_BUY && OrderSymbol()=="EURUSD" && OrderMagicNumber () == 102)   resultb = OrderClose( OrderTicket(), OrderLots(), MarketInfo("EURUSD", MODE_BID), 5,Magenta );          
    if ( OrderType() == OP_SELL && OrderSymbol()=="EURUSD" && OrderMagicNumber () == 102)  results = OrderClose( OrderTicket(), OrderLots(), MarketInfo("EURUSD", MODE_ASK), 5,Magenta );
    if ( OrderType() == OP_BUY && OrderSymbol()=="EURCHF" && OrderMagicNumber () == 102)   resultb = OrderClose( OrderTicket(), OrderLots(), MarketInfo("EURCHF", MODE_BID), 5,Magenta );          
    if ( OrderType() == OP_SELL && OrderSymbol()=="EURCHF" && OrderMagicNumber () == 102)  results = OrderClose( OrderTicket(), OrderLots(), MarketInfo("EURCHF", MODE_ASK), 5,Magenta );
    Print ("Position(s) closed");
    }         
 }
  return; 
}  
//------------------------------THE END---------------------------------------------------------------------+

//Lack after closing both first i also want them to open just after closing